- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions

# QSslError Class Reference

Search for all occurrences

## Detailed Description

Definition at line 58 of file qsslerror.h.

`#include <qsslerror.h>`

List of all members.

## Public Types
enum | SslError { NoError, UnableToGetIssuerCertificate, UnableToDecryptCertificateSignature, UnableToDecodeIssuerPublicKey, CertificateSignatureFailed, CertificateNotYetValid, CertificateExpired, InvalidNotBeforeField, InvalidNotAfterField, SelfSignedCertificate, SelfSignedCertificateInChain, UnableToGetLocalIssuerCertificate, UnableToVerifyFirstCertificate, CertificateRevoked, InvalidCaCertificate, PathLengthExceeded, InvalidPurpose, CertificateUntrusted, CertificateRejected, SubjectIssuerMismatch, AuthorityIssuerSerialNumberMismatch, NoPeerCertificate, HostNameMismatch, NoSslSupport, UnspecifiedError = -1 }
## Public Member Functions
| QSslError ()
| QSslError (SslError error)
| QSslError (SslError error, const QSslCertificate &certificate)
| QSslError (const QSslError &other)
| ~QSslError ()
QSslError & | operator= (const QSslError &other)
bool | operator== (const QSslError &other) const
bool | operator!= (const QSslError &other) const
SslError | error () const
QString | errorString () const
QSslCertificate | certificate () const

## Member Enumeration Documentation

enum SslError

Search for all occurrences

Enumerator:

  NoError | Search for all occurrences
  UnableToGetIssuerCertificate | Search for all occurrences
  UnableToDecryptCertificateSignature | Search for all occurrences
  UnableToDecodeIssuerPublicKey | Search for all occurrences
  CertificateSignatureFailed | Search for all occurrences
  CertificateNotYetValid | Search for all occurrences
  CertificateExpired | Search for all occurrences
  InvalidNotBeforeField | Search for all occurrences
  InvalidNotAfterField | Search for all occurrences
  SelfSignedCertificate | Search for all occurrences
  SelfSignedCertificateInChain | Search for all occurrences
  UnableToGetLocalIssuerCertificate | Search for all occurrences
  UnableToVerifyFirstCertificate | Search for all occurrences
  CertificateRevoked | Search for all occurrences
  InvalidCaCertificate | Search for all occurrences
  PathLengthExceeded | Search for all occurrences
  InvalidPurpose | Search for all occurrences
  CertificateUntrusted | Search for all occurrences
  CertificateRejected | Search for all occurrences
  SubjectIssuerMismatch | Search for all occurrences
  AuthorityIssuerSerialNumberMismatch | Search for all occurrences
  NoPeerCertificate | Search for all occurrences
  HostNameMismatch | Search for all occurrences
  NoSslSupport | Search for all occurrences
  UnspecifiedError | Search for all occurrences

Definition at line 61 of file qsslerror.h.

                      {
            NoError,
            UnableToGetIssuerCertificate,
            UnableToDecryptCertificateSignature,
            UnableToDecodeIssuerPublicKey,
            CertificateSignatureFailed,
            CertificateNotYetValid,
            CertificateExpired,
            InvalidNotBeforeField,
            InvalidNotAfterField,
            SelfSignedCertificate,
            SelfSignedCertificateInChain,
            UnableToGetLocalIssuerCertificate,
            UnableToVerifyFirstCertificate,
            CertificateRevoked,
            InvalidCaCertificate,
            PathLengthExceeded,
            InvalidPurpose,
            CertificateUntrusted,
            CertificateRejected,
            SubjectIssuerMismatch, // hostname mismatch?
            AuthorityIssuerSerialNumberMismatch,
            NoPeerCertificate,
            HostNameMismatch,
            NoSslSupport,
            UnspecifiedError = -1
        };

## Constructor & Destructor Documentation

QSslError | ( |  | ) |

QSslError | ( | SslError | error | ) |

QSslError | ( | SslError | error,
|  | const QSslCertificate & | certificate
| ) |  |

QSslError | ( | const QSslError & | other | ) |

~QSslError | ( |  | ) |

## Member Function Documentation

QSslError& operator= | ( | const QSslError & | other | ) |

bool operator== | ( | const QSslError & | other | ) | const

bool operator!= | ( | const QSslError & | other | ) | const `[inline]`

Definition at line 100 of file qsslerror.h.

        { return !(*this == other); }

SslError error | ( |  | ) | const

Search for all occurrences

QString errorString | ( |  | ) | const

Search for all occurrences

QSslCertificate certificate | ( |  | ) | const

Search for all occurrences

The documentation for this class was generated from the following file:

- QtNetwork/qsslerror.h

QSslError QSslError QSslError QSslError QSslError QSslError QSslError QSslError QSslError QSslError
QSslError QSslError QSslError QSslError QSslError QSslError QSslError QSslError QSslError QSslError